libcoap 4.3.2rc2

Data Fields
coap_uri_info_t Struct Reference
Libcoap Internal API » URI Support

`#include <coap_uri_internal.h>`

## Data Fields
const char * | name
| scheme name More...
uint16_t | port
| default scheme port More...
uint16_t | proxy_only
| set if proxy support only More...
coap_uri_scheme_t | scheme
| scheme More...

## Detailed Description

Definition at line 29 of file coap_uri_internal.h.

## Field Documentation

## ◆ name

const char* coap_uri_info_t::name

scheme name

Definition at line 30 of file coap_uri_internal.h.

## ◆ port

uint16_t coap_uri_info_t::port

default scheme port

Definition at line 31 of file coap_uri_internal.h.

## ◆ proxy_only

uint16_t coap_uri_info_t::proxy_only

set if proxy support only

Definition at line 32 of file coap_uri_internal.h.

## ◆ scheme

coap_uri_scheme_t coap_uri_info_t::scheme

scheme

Definition at line 33 of file coap_uri_internal.h.

The documentation for this struct was generated from the following file:

- coap_uri_internal.h